scripts.mit.edu

MIT SIPB Script Services for Athena

WordPress autoinstaller upgraded to version 2.8.5

November 2, 2009 at 1:47 am by in

We’ve upgraded the WordPress autoinstaller on scripts.mit.edu to install WordPress version 2.8.5. This is the most current stable version of WordPress, and includes several security hardening improvements backported from the upcoming WordPress 2.9 release.

Ruby on Rails autoinstaller

August 16, 2009 at 4:37 am by in

At long last, we’ve just deployed a brand new autoinstaller for Ruby on Rails, the popular Ruby based web application framework.

Ruby on Rails has been supported on scripts.mit.edu for quite some time, but the setup process was entirely manual, and involved many nonintuitive steps. You can now get a working Rails installation up and running for your own application in less than 60 seconds by typing

$ add scripts
$ scripts-rails

from any Athena machine, and following the instructions.

This brings the count of autoinstallable applications up to 12:

advancedbook
django
e107
gallery2
joomla
mediawiki
phpbb
phpical
rails
trac
turbogears
wordpress

You can read more about these applications on our quick-start page.

WordPress autoinstaller upgraded to version 2.8.4

August 12, 2009 at 5:04 pm by in

We’ve upgraded the WordPress autoinstaller on scripts.mit.edu to install WordPress version 2.8.4. This is the most current stable version of WordPress, and includes yet another important security fix for an issue that was present through version 2.8.3, which was just recently released.

WordPress autoinstaller upgraded to version 2.8.3

August 5, 2009 at 12:45 am by in

We’ve upgraded the WordPress autoinstaller on scripts.mit.edu to install WordPress version 2.8.3. This is the most current stable version of WordPress, and includes a security fix that was missed in version 2.8.2, which was just recently released.

Django autoinstalls now see updates to your code instantly!

July 31, 2009 at 6:53 am by in

The Django autoinstaller has, up until now, told you that when you update your code files, you need to touch index.fcgi in order for the changes to be reflected on the web. Unfortunately, that feature has never worked on scripts.mit.edu. We’ve finally identified the reason for this issue, and implemented an improvement to the autoinstaller — it is no longer necessary to kill your python processes or touch your index.fcgi files. Updates to your .py files are now reflected immediately on the web without you having to do anything else.

We have applied this enhancement to all existing Django autoinstalls that accept our automatic updates.

WordPress autoinstaller upgraded to version 2.8.2

July 31, 2009 at 6:51 am by in

We’ve upgraded the WordPress autoinstaller on scripts.mit.edu to install WordPress version 2.8.2. This is the most current stable version of WordPress.

MediaWiki autoinstaller now installs version 1.15.1

July 31, 2009 at 6:48 am by in

We’ve just upgraded the MediaWiki autoinstaller on scripts.mit.edu to install version 1.15.1 by default. This is the most current version available from MediaWiki.

Joomla autoinstaller now installs version 1.5.11

June 24, 2009 at 12:28 am by in

We’ve just upgraded the Joomla autoinstaller on scripts.mit.edu to install version 1.5.11 by default. This is the most current version available from the Joomla developers.

scripts.mit.edu Fedora 11 Transition

June 17, 2009 at 12:30 am by in

On Thursday, July 9, 2009, all of the scripts.mit.edu servers will be upgraded from Fedora 9 to Fedora 11, which was released on June 9. We strongly encourage you to test your website as soon as possible, and to contact us at scripts@mit.edu or come to our office hours in W20-557 if you experience any problems. The easiest way to test your site is to run the following commands at an Athena workstation and then visit your website in the browser that opens, but see this page for more details and important information:

athena% add scripts
athena% firefox-test

WordPress autoinstaller upgraded to version 2.8

June 14, 2009 at 10:47 am by in

We’ve upgraded the WordPress autoinstaller on scripts.mit.edu to install WordPress version 2.8. This is the most current stable version of WordPress and features various improved user interface features, and many other improvements.

Previous

© 2004-2017, the SIPB scripts.mit.edu project.
These pages may be reused under either the GFDL 1.2 or CC-BY-SA 3.0.
Questions? Contact scripts@mit.edu.

You are currently connected to busy-beaver.mit.edu.